--- old/usr/src/lib/libsocket/socket/sockatmark.c	Sun Aug  5 23:41:03 2018
+++ /dev/null	Sun Aug  5 23:40:50 2018
@@ -1,46 +0,0 @@
-/*
- * CDDL HEADER START
- *
- * The contents of this file are subject to the terms of the
- * Common Development and Distribution License, Version 1.0 only
- * (the "License").  You may not use this file except in compliance
- * with the License.
- *
- * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
- * or http://www.opensolaris.org/os/licensing.
- * See the License for the specific language governing permissions
- * and limitations under the License.
- *
- * When distributing Covered Code, include this CDDL HEADER in each
- * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
- * If applicable, add the following below this CDDL HEADER, with the
- * fields enclosed by brackets "[]" replaced with your own identifying
- * information: Portions Copyright [yyyy] [name of copyright owner]
- *
- * CDDL HEADER END
- */
-/*
- * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
- * Use is subject to license terms.
- */
-
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#include <sys/sockio.h>
-#include <unistd.h>
-
-#pragma weak sockatmark = _sockatmark
-
-/*
- * Determine whether the socket is at the out-of-band
- * data mark.
- */
-int
-_sockatmark(int sock)
-{
-	int val;
-
-	if (ioctl(sock, SIOCATMARK, &val) == -1)
-		return (-1);
-	return (val);
-}
--- /dev/null	Sun Aug  5 23:40:50 2018
+++ new/usr/src/lib/libc/port/socket/sockatmark.c	Sun Aug  5 23:41:03 2018
@@ -0,0 +1,44 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License, Version 1.0 only
+ * (the "License").  You may not use this file except in compliance
+ * with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+#include <sys/sockio.h>
+#include <unistd.h>
+
+#pragma weak sockatmark = _sockatmark
+
+/*
+ * Determine whether the socket is at the out-of-band
+ * data mark.
+ */
+int
+_sockatmark(int sock)
+{
+	int val;
+
+	if (ioctl(sock, SIOCATMARK, &val) == -1)
+		return (-1);
+	return (val);
+}
